| Kea 3.0.2-git

option_int_array.h File Reference
`#include <dhcp/libdhcp++.h>`
`#include <dhcp/option.h>`
`#include <dhcp/option_data_types.h>`
`#include <util/io.h>`
`#include <boost/shared_ptr.hpp>`
`#include <sstream>`
`#include <stdint.h>`
Include dependency graph for option_int_array.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::OptionIntArray< T >
| Forward declaration to OptionIntArray. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef OptionIntArray< uint16_t > | isc::dhcp::OptionUint16Array
typedef boost::shared_ptr< OptionUint16Array > | isc::dhcp::OptionUint16ArrayPtr
typedef OptionIntArray< uint32_t > | isc::dhcp::OptionUint32Array
typedef boost::shared_ptr< OptionUint32Array > | isc::dhcp::OptionUint32ArrayPtr
typedef OptionIntArray< uint8_t > | isc::dhcp::OptionUint8Array
typedef boost::shared_ptr< OptionUint8Array > | isc::dhcp::OptionUint8ArrayPtr